package com.miaxis.question.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.miaxis.common.annotation.Excel;
import com.miaxis.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.miaxis.common.core.domain.BaseBusinessEntity;
import lombok.Data;
/**
 * collection对象 question_collection
 *
 * @author miaxis
 * @date 2021-08-18
 */
@Data
@TableName("question_collection")
@ApiModel(value = "QuestionCollection", description = "collection对象 question_collection")
public class QuestionCollection extends BaseBusinessEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
//    @TableId(value = "id")
//    @ApiModelProperty(value = "主键")
    private Long id;

    /** 用户ID */
    @Excel(name = "用户ID")
    @TableField("user_id")
    @ApiModelProperty(value = "用户ID")
    private Long userId;

    /** 题目ID */
    @Excel(name = "题目ID")
    @TableField("question_id")
    @ApiModelProperty(value = "题目ID")
    private Long questionId;

    public void setId(Long id){
        this.id = id;
    }

    public Long getId(){
        return id;
    }
    public void setUserId(Long userId){
        this.userId = userId;
    }

    public Long getUserId(){
        return userId;
    }
    public void setQuestionId(Long questionId){
        this.questionId = questionId;
    }

    public Long getQuestionId(){
        return questionId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("questionId", getQuestionId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
